ruby-rabl_0.13.1-1_all.deb


Advertisement

Description

ruby-rabl - Ruby templating library with JSON, BSON, XML and MessagePack support

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-rabl
Package version 0.13.1
Package release 1
Package architecture all
Package type deb
Installed size 119 B
Download size 32.41 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-rabl_0.13.1-1_all.deb 0.13.1 all Debian Main
ruby-rabl - - -

Requires

Name Value
ruby -
ruby-activesupport -
ruby-bson -
ruby-interpreter -
ruby-json -
ruby-msgpack -

Download

Type URL
Binary Package ruby-rabl_0.13.1-1_all.deb
Source Package ruby-rabl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-rabl deb package:
    # sudo apt-get install ruby-rabl

Files

Path
/usr/lib/ruby/vendor_ruby/rabl.rb
/usr/lib/ruby/vendor_ruby/rabl/builder.rb
/usr/lib/ruby/vendor_ruby/rabl/cache_engine.rb
/usr/lib/ruby/vendor_ruby/rabl/configuration.rb
/usr/lib/ruby/vendor_ruby/rabl/digestor.rb
/usr/lib/ruby/vendor_ruby/rabl/engine.rb
/usr/lib/ruby/vendor_ruby/rabl/helpers.rb
/usr/lib/ruby/vendor_ruby/rabl/multi_builder.rb
/usr/lib/ruby/vendor_ruby/rabl/partials.rb
/usr/lib/ruby/vendor_ruby/rabl/railtie.rb
/usr/lib/ruby/vendor_ruby/rabl/renderer.rb
/usr/lib/ruby/vendor_ruby/rabl/sources.rb
/usr/lib/ruby/vendor_ruby/rabl/template.rb
/usr/lib/ruby/vendor_ruby/rabl/tracker.rb
/usr/lib/ruby/vendor_ruby/rabl/version.rb
/usr/lib/ruby/vendor_ruby/rabl/digestor/rails3.rb
/usr/lib/ruby/vendor_ruby/rabl/digestor/rails41.rb
/usr/lib/ruby/vendor_ruby/rabl/digestor/rails5.rb
/usr/share/doc/ruby-rabl/README.md.gz
/usr/share/doc/ruby-rabl/changelog.Debian.gz
/usr/share/doc/ruby-rabl/changelog.gz
/usr/share/doc/ruby-rabl/copyright
/usr/share/doc/ruby-rabl/examples/base.json.rabl
/usr/share/doc/ruby-rabl/examples/demo.json.rabl
/usr/share/doc/ruby-rabl/examples/inherited.json.rabl
/usr/share/rubygems-integration/all/specifications/rabl-0.13.1.gemspec

Changelog

2018-03-31 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
ruby-rabl (0.13.1-1) unstable; urgency=medium
* Team upload.
[ HIGUCHI Daisuke (VDR dai) ]
* New upstream release (Closes: #888166)
* eliminate lintian warning: debian-watch-uses-insecure-uri
* eliminate lintian warning: insecure-copyright-format-uri
* eliminate lintian warning: file-contains-trailing-whitespace
* Refresh patch.
* Use salsa.debian.org in Vcs-* fields
* Bump debhelper compatibility level to 11
* Bump Standards-Version to 4.1.3 (no changes needed)
2017-02-05 - Christian Hofstaedtler <zeha@debian.org>
ruby-rabl (0.13.0-2) unstable; urgency=medium
* Team upload.
[ Gilles Filippini ]
* def-bson-serialize.patch: reintroduce BSON.serialize method dropped
from ruby-bson since release 2.0.0 (Closes: #849315)
2016-08-24 - Cédric Boutillier <boutil@debian.org>
ruby-rabl (0.13.0-1) unstable; urgency=medium
* Imported Upstream version 0.13.0
* Drop apple_computer.patch, applied upstream
* Drop fix_test_230_compatibility.patch, applied upstream
2016-05-20 - Cédric Boutillier <boutil@debian.org>
ruby-rabl (0.12.0-1) unstable; urgency=medium
* Imported Upstream version 0.12.0
* Bump debhelper compatibility level to 9
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
* Add patches to fix tests
+ using plist (Closes: #818154)
+ in a fix for a new Ruby 2.3 feature
* Bump Standards-Version to 3.9.8 (no changes needed)
2015-04-27 - Pirate Praveen <praveen@debian.org>
ruby-rabl (0.11.4-2) unstable; urgency=medium
* Team upload.
* Re-upload to unstable.
2014-11-19 - Pirate Praveen <praveen@debian.org>
ruby-rabl (0.11.4-1) experimental; urgency=medium
* Team upload.
* New upstream release (needed to update gon).
* Bump standards version to 3.9.6 (no changes).
2014-08-22 - Cédric Boutillier <boutil@debian.org>
ruby-rabl (0.11.0-1) unstable; urgency=medium
* Imported Upstream version 0.11.0
* Build-depend on and suggest ruby-hashie as it is used in a test
2014-06-19 - Cédric Boutillier <boutil@debian.org>
ruby-rabl (0.10.1-1) unstable; urgency=medium
* Imported Upstream version 0.10.1
2014-01-02 - Cédric Boutillier <boutil@debian.org>
ruby-rabl (0.9.3-1) unstable; urgency=medium
* Imported Upstream version 0.9.3
* (Build-)depend on ruby-actionpack instead of ruby-actionpack-3.2
* Bump Standards-Version to 3.9.5 (no changes needed)
2013-06-27 - Cédric Boutillier <boutil@debian.org>
ruby-rabl (0.8.5-1) unstable; urgency=low
* Imported Upstream version 0.8.5

See Also

Package Description
ruby-rack-accept_0.4.5-3_all.deb suite of tools for interpreting HTTP Accept family for Ruby/Rack
ruby-rack-attack_4.4.1-1_all.deb Block & throttle abusive requests
ruby-rack-cache_1.2-4_all.deb HTTP Caching for Rack
ruby-rack-contrib_1.3.0-3_all.deb contributed Rack Middleware and Utilities
ruby-rack-cors_1.0.2-1_all.deb enable Cross-Origin Resource Sharing in Rack apps
ruby-rack-flash3_1.0.5-2_all.deb Flash hash for Ruby Rack applications
ruby-rack-google-analytics_1.2.0-2_all.deb Simple Rack middleware to inject the Google Analytics tracking code
ruby-rack-mobile-detect_0.4.0-4_all.deb rack middleware for ruby webapps to detect mobile devices
ruby-rack-mount_0.8.3-3_all.deb Stackable dynamic tree based Rack router
ruby-rack-oauth2_1.9.2-1_all.deb Rack interface for an OAuth 2.0
ruby-rack-openid_1.4.2-1_all.deb Ruby Rack library to provide access to OpenID
ruby-rack-piwik_0.3.0-2_all.deb piwik Analytics racking in your Ruby-Rack based project
ruby-rack-pjax_0.7.0-2_all.deb serve pjax responses through rack middleware
ruby-rack-protection_1.5.3-2.1_all.deb Protects against typical web attacks for Rack apps
ruby-rack-proxy_0.6.1-2_all.deb request/response rewriting HTTP proxy rack app
Advertisement
Advertisement